
QGIS Application - Bug report #8776

project background color does not take effect until you pan

2013-10-05 11:12 AM - Tom Grundy

Status: Closed

Priority: Low

Assignee: Alvaro Huarte

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17482

Description

project background color change (set in project properties) does not take effect until you pan

seems to be the same as this report and resolution from v1.0 / v1.2:

http://trac.osgeo.org/qgis/ticket/1513

Not urgent at all - but still there.  Thanks!

Associated revisions

Revision b2ad0a9b - 2013-10-10 11:00 AM - Alvaro Huarte

Fix #8776

Set the canvas color in 'qgsprojectproperties::apply()' before refresh

History

#1 - 2013-10-06 03:43 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Operating System deleted (Windows)

- OS version deleted (Vista 32)

#2 - 2013-10-06 03:03 PM - Alvaro Huarte

Hi, I can resolve this feature, can you assign this task to me?

thanks

#3 - 2013-10-06 03:37 PM - Giovanni Manghi

- Assignee set to Alvaro Huarte

#4 - 2013-10-06 04:28 PM - Alvaro Huarte

- % Done changed from 0 to 100

- Resolution set to fixed

Done
gitub:

https://github.com/ahuarte47/QGIS/commit/ac32672515a5ffb84630aaa0b000d68d098754a9

#5 - 2013-10-07 04:35 PM - Alvaro Huarte

Changes go to branch:

https://github.com/ahuarte47/QGIS/tree/Issue_8776

#6 - 2013-10-10 02:02 AM - Alvaro Huarte

- Status changed from Open to Closed

Fixed in changeset commit:"b2ad0a9bb914c67309b0e4c486b3493086b04a73".
